import React, { Component } from 'react';
import PropTypes from 'prop-types';
import RuleManageView from './RuleManageView';

/**
 *
 *规则管理入口
 * @class RuleLibrary
 * @extends {Component}
 */
class RuleLibrary extends Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  render() {
    return <RuleManageView {...this.props} />;
  }
}

RuleLibrary.propTypes = {
  onPushToRule: PropTypes.func.isRequired,
  ruleLib: PropTypes.array,
  reload: PropTypes.func,
  onSearchRuleLib: PropTypes.func
};

RuleLibrary.defaultProps = {
  ruleLib: [],
  reload() {}
};

export default RuleLibrary;
